Subject: Re: LL.dll or is it ii.dll
From: [email-masked] (Roger René Kommer)

2 Mar 1998 14:05:47 -0800
Message-ID: <01bd4609$078441c0$60040d8d.cygnus.gnu-win32@ROGKOMUN>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "Geoffrey Noer" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>

-----Ursprüngliche Nachricht-----
Von: Geoffrey Noer <[email-masked]>
An: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Datum: Montag, 2. März 1998 06:54
Betreff: Re: LL.dll or is it ii.dll

>> run objdump --full-contents XXX.exe and look for 5 blank ints near the
beginning
>> of the .idata section.
>>
>> 0000 0000 0000 0000 0000
>>
>> like that.
>
>It should be fixed.  The cygwin.dll itself used to have an asm section
>defining .idata3 but this has been removed in beta 19 with no ill
>effects.

Hi,
Unfortunately I have the same problems building fvwm-2.0.46. First I have
compiled the X11R6.3 using the actual patches fix-01, fix-02 and
X11R6_3f2-b19.diff. X clients included in the X11R6.3 distributions works
fine (like twm.exe), but if I try to link an other executable I get garbage
in the Import table (using NT Explorers Quick view.)
That is the linking output:
gcc --verbose -o fvwm2 add_window.o     bindings.o      borders.o
builtins
..o      colormaps.o     colors.o        complex.o       decorations.o
events.o
        focus.o         functions.o     fvwm.o  icons.o         menus.o
misc.o m
odule.o         move.o  placement.o     read.o  resize.o        style.o
virtual.
o       windows.o -O2 -s -mpentium      -L/usr/X11R6.3/lib
.../libs/libfvwm2.a -l
Xpm  -lXext -lX11
Reading specs from
h:\gnuwin32\b19\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\2.7
-B19\specs
gcc driver version 2.7-B19 executing gcc version 2.7-97r2aBeta

h:\gnuwin32\b19\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\2.7-B19\../../../.
../i
386-cygwin32\bin\ld.exe -o fvwm2.exe -s
h:/gnuwin32/b19/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/2.7-B19/../../../.
../i386-cygwin32/lib/crt0.o -L/usr/X11R6.3/lib -Lh:/gnuwin32/b19/H-i386-cygwi
n32/lib/gcc-lib/i386-cygwin32/2.7-B19 -Lh:/gnuwin32/b19/H-i386-cygwin32/lib/
gcc-lib -Lh:/gnuwin32/b19/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/2.7-B19/
.../../../../i386-cygwin32/lib -Lh:/gnuwin32/b19/H-i386-cygwin32/lib/gcc-lib/
i386-cygwin32/2.7-B19/../../.. add_window.o bindings.o borders.o builtins.o
colormaps.o colors.o complex.o decorations.o events.o focus.o functions.o
fvwm.o icons.o menus.o misc.o module.o move.o placement.o read.o resize.o
style.o virtual.o windows.o
.../libs/libfvwm2.a -lXpm -lXext -lX11 -lgcc -lcygwin -lkernel32 -lgcc

I had also executed the ld.exe with --verbose: Only b19 stuff will be used.

That is the begin of .idata:
....
4241f0 00000000 00000000 00000000 00000000  ................
Contents of section .idata:
 425000 7c500200 00000000 00000000 f0620200  |P...........b..
 425010 60530200 3c520200 00000000 00000000  `S..<R..........
 425020 14630200 20550200 74520200 00000000  .c.. U..tR......
 425030 00000000 2c630200 54550200 68520200  ....,c..TU..hR..
 425040 00000000 00000000 14640200 4c550200  .........d..LU..
 425050 54530200 00000000 00000000 28640200  TS..........(d..
 425060 38560200 00000000 00000000 00000000  8V..............
 425070 00000000 00000000 00000000 40560200  ............@V..
....
Roger

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".